#ifndef _DISP_WIN_H_
#define _DISP_WIN_H_

typedef	struct	tag_nt_window_t	*nt_window_tp;
typedef	struct	tag_nt_window_t{
	WINDOW	*wp;
	int	lines;
	int	cols;
	int org_x;
	int org_y;
	int key;
	void *data;
	const char *cmd_param;
	wchar_t *status_msg;
} nt_window_t;


extern nt_window_tp nt_disp_win_alloc(WINDOW *parent,
		int lines, int cols, int org_y, int org_x, 
		const char *cmd_param);
extern void nt_disp_win_free(nt_window_tp winp);
extern BOOL nt_disp_win_move(WINDOW *parent, nt_window_tp winp,
		int lines, int cols, int org_x, int org_y);

#endif /* _DISP_WIN_H_ */
